<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsd="http://www.w3.org/1999/XMLSchema"
  xmlns:xsl="http://www.w3.org/TR/WD-xsl"
  xmlns="http://www.w3.org/TR/REC-html40"
  result-ns="">

<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<xsl:template match="/">
<HTML>
  <xsl:for-each select="CoreComponents">
   <xsl:apply-templates/>
  </xsl:for-each>
</HTML>
</xsl:template>
<xsl:template match="Entity">
<head>
<title>ebXML Complex Core Component Submission</title>
</head>
<body bgcolor="silver" text="blue">
<h1 align="center">ebXML Complex Core Component Submission</h1>
<form id="Entity" method="POST"
   onsubmit="var XMLdec = '&#60;?xml version=&#34;1.0&#34;?&#62;\n' ;
             var stylesheet = '&#60;?xml-stylesheet href=&#34;c:/My Documents/ebxml/DiscoveryCC.xsl&#34; type=&#34;text/xsl&#34;?&#62;\n';
             var OutputDTD = '&#60;!DOCTYPE CoreComponents SYSTEM &#34;c:/My Documents/ebxml/DiscoveryCC.dtd&#34;&#62;\n';
             var filepath = document.all.Directory.value ;
             var filename = filepath + document.all.ComplexID.value + '.xml';
             var text = XMLdec + stylesheet + OutputDTD ;
             text += '&#60;CoreComponents&#62;\n';
             text += '&#60;Entity&#62;\n';
             text += '&#60;Date&#62;' + document.all.Date.value +  '&#60;/Date&#62;\n'; 
             text += '&#60;Submitter&#62;' + document.all.Submitter.value +  '&#60;/Submitter&#62;\n';
             text += '&#60;Contact&#62;' + document.all.Contact.value +  '&#60;/Contact&#62;\n';
             text += '&#60;Identifier Directory=&#34;' + document.all.Directory.value + '&#34;&#62;' + document.all.ComplexID.value +  '&#60;/Identifier&#62;\n';
             text += '&#60;Sector';
              if (document.all.OtherName.value != '')
                 {text += ' OtherName=&#34;' + document.all.OtherName.value + '&#34;'}
             text += '&#62;' + document.all.Sector.value +  '&#60;/Sector&#62;\n';
             text += '&#60;Process Qualifier=&#34;' + document.all.ProcessQualifier.value + '&#34;&#62;' + document.all.Process.value +  '&#60;/Process&#62;\n';
             text += '&#60;Region';
              if (document.all.Countries.value != '')
                 {text += ' Countries=&#34;' + document.all.Countries.value + '&#34;'}
             text += '&#62;' + document.all.Region.value +  '&#60;/Region&#62;\n';
             text += '&#60;Legal&#62;' + document.all.Legal.value +  '&#60;/Legal&#62;\n';
             text += '&#60;Name&#62;' + document.all.ComponentName.value +  '&#60;/Name&#62;\n';
             text += '&#60;Description&#62;' + document.all.Description.value +  '&#60;/Description&#62;\n';       
             for (i=0; i &#60; document.all.PropertyName.length; i++)     
                   {if (document.all.PropertyName[i].getAttribute('value') != '')
                       {text += '&#60;Component Type=&#34;' + document.all.Order(i).getAttribute('value') + '&#34;&#62;\n';
                        text += '&#60;Name&#62;' + document.all.PropertyName[i].getAttribute('value') + '&#60;/Name&#62;\n';       
                        text += '&#60;Description&#62;' + document.all.PropertyDescription[i].getAttribute('value') + '&#60;/Description&#62;\n';       
                        text += '&#60;Cardinality&#62;' + document.all.Cardinality[i].getAttribute('value') + '&#60;/Cardinality&#62;\n';                            
                        {if (document.all.FieldType[i].getAttribute('value') == 'E')
                           {text += '&#60;ComplexID&#62;' + document.all.ID[i].getAttribute('value') + '&#60;/ComplexID&#62;\n';}
                           else text += '&#60;SimpleID&#62;' + document.all.ID[i].getAttribute('value') + '&#60;/SimpleID&#62;\n';
                        }
                        text += '&#60;/Component&#62;\n';                       
                       }
                   } 
             text += '&#60;/Entity&#62;\n';
             text += '&#60;/CoreComponents&#62;\n';
             var NewFile = new ActiveXObject('Scripting.FileSystemObject');
             var Response = NewFile.CreateTextFile(filename, true);
             Response.Write(text);
             Response.Close();
             window.open(filename);
            "    >
<p align="right">Date of Submission:&#x20; <input type="text" name="Date" size="20" onfocus="window.status='Enter Date as CCYY-MM-DD'">
  <xsl:attribute name="value">
    <xsl:value-of select="Date"/>
  </xsl:attribute></input><br/>
Submitting Organization: <input type="text" name="Submitter" size="20" onfocus="window.status='Enter name of submitting organization'">
  <xsl:attribute name="value">
    <xsl:value-of select="Submitter"/>
  </xsl:attribute></input><br/>
Contact E-mail Address: <input type="text" name="Contact" size="20" onfocus="window.status='Enter e-mail address of submitter'">
  <xsl:attribute name="value">
    <xsl:value-of select="Contact"/>
  </xsl:attribute></input></p>
<p>Component Name: <input type="text" name="ComponentName" size="76" onfocus="window.status='Assign name by which entity will be referred to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Name"/>
  </xsl:attribute></input><br/>
Component Description:<br/>
<textarea rows="7" name="Description" cols="77" onfocus="window.status='Describe purpose of business entity as concisely as possible'">
    <xsl:value-of select="Description"/>
  </textarea></p>
<p>Definition File Name: <input type="text" name="ComplexID" size="20" onfocus="window.status='Assign Unique ID which can be used as filename for business entity definition'">
  <xsl:attribute name="value">
    <xsl:value-of select="Identifier"/>
  </xsl:attribute></input>&#9;
Directory File Stored In: <input type="text" name="Directory" size="30" onfocus="window.status='Enter path to directory to be used to store patterns on local client or network'">
   <xsl:if match=".[Identifer[@Directory!='']]">  <xsl:attribute name="value">
    <xsl:value-of select="Identifier/@Directory"/>
  </xsl:attribute></xsl:if>
   <xsl:if match=".[Identifier[@Directory='']]">
    <xsl:attribute name="value">c:/My Documents/ebXML/simple/</xsl:attribute>
</xsl:if></input></p>
<h4 align="left">Contexts component is used in</h4>
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td>Industry Sector:<br/>
Other&#32;Sector&#32;Name:</td>
<td><select size="1" name="Sector" onfocus="window.status='Select industry grouping who this core component has been designed for'">
<option value="Other">
   <xsl:if match=".[Sector='Other']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Other</option>
<option value="Construction">
   <xsl:if match=".[Sector='Construction']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Construction</option>
<option value="Customs">
   <xsl:if match=".[Sector='Customs']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Customs</option>
<option value="Finance/Banking">
   <xsl:if match=".[Sector='Finance/Banking']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Finance/Banking</option>
<option value="Finance/Securities">
   <xsl:if match=".[Sector='Finance/Securities']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Finance/Securities</option>
<option value="Finance/General">
   <xsl:if match=".[Sector='Finance/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Finance/General</option>
<option value="Governmental">
   <xsl:if match=".[Sector='Governmental']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Governmental</option>
<option value="Healthcare">
   <xsl:if match=".[Sector='Healthcare']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Healthcare</option>
<option value="Cross-Industry">
   <xsl:if match=".[Sector='Cross-Industry']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Horizontal (Cross Industry)</option>
<option value="Insurance">
   <xsl:if match=".[Sector='Insurance']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Insurance</option>
<option value="Logistics">
   <xsl:if match=".[Sector='Logistics']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Logistics</option>
<option value="Manufacturing/Aerospace">
   <xsl:if match=".[Sector='Manufacturing/Aerospace']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/Aerospace</option>
<option value="Manufacturing/Automotive">
   <xsl:if match=".[Sector='Manufacturing/Automotive']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/Automotive</option>
<option value="Manufacturing/Construction">
   <xsl:if match=".[Sector='Manufacturing/Construction']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/Construction</option>
<option value="Manufacturing/General">
   <xsl:if match=".[Sector='Manufacturing/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/General</option>
<option value="Retail/FMCG">
   <xsl:if match=".[Sector='Retail/FMCG']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Retail/FMCG</option>
<option value="Retail/General">
   <xsl:if match=".[Sector='Retail/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Retail/General</option>
<option value="Statistics/CDW">
   <xsl:if match=".[Sector='Statistics/CDW']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Statistics/CDW</option>
<option value="Statitics/General">
   <xsl:if match=".[Sector='Statitics/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Statistics/General</option>
<option value="Transportation/Air">
   <xsl:if match=".[Sector='Transportation/Air']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Air</option>
<option value="Transportation/Inland-Water">
   <xsl:if match=".[Sector='Transportation/Inland-Water']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Inland Water</option>
<option value="Transporation/Maritime">
   <xsl:if match=".[Sector='Transporation/Maritime']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Maritime</option>
<option value="Transportation/Rail">
   <xsl:if match=".[Sector='Transportation/Rail']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Rail</option>
<option value="Transporation/Road">
   <xsl:if match=".[Sector='Transporation/Road']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Road</option>
<option value="Transportation/General">
   <xsl:if match=".[Sector='Transportation/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/General</option>
<option value="Travel-Tourism-Leisure">
   <xsl:if match=".[Sector='Travel-Tourism-Leisure']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Travel, Tourism &amp; Leisure</option>
<option value="Utilities/General">
   <xsl:if match=".[Sector='Utilities/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Utilities/General</option>
<option value="Utilities/Energy">
   <xsl:if match=".[Sector='Utilities/Energy']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Utilities/Energy</option>
<option value="Utilities/Telecom">
   <xsl:if match=".[Sector='Utilities/Telecom']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Utilities/Telecom</option>
</select><br/>
<input type="text" name="OtherName" size="25" onfocus="window.status='Do not change this value'">
  <xsl:attribute name="value">
    <xsl:value-of select="Sector/@OtherName"/>
  </xsl:attribute></input>
</td>
<td>Region:<br/>
Country Codes:</td>
<td><select size="1" name="Region" onfocus="window.status='Select applicable region if not listing specific countries'">
<option value="Global">
   <xsl:if match=".[Region='Global']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Global</option>
<option value="Asia">
   <xsl:if match=".[Region='Asia']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Asia</option>
<option value="Europe">
   <xsl:if match=".[Region='Europe']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Europe</option>
<option value="European Union">
   <xsl:if match=".[Region='European Union']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  European Union</option>
<option value="North America">
   <xsl:if match=".[Region='North America']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  North America</option>
<option value="South America">
   <xsl:if match=".[Region='South America']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  South America</option>
<option value="Cross-Border">
   <xsl:if match=".[Region='Cross-Border']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Cross Border (Specify countries)</option>
<option value="National">
   <xsl:if match=".[Region='National']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  National (specify country)</option>
</select><br/>
<input type="text" name="Countries" size="25" onfocus="window.status='Do not change this value'">
  <xsl:attribute name="value">
    <xsl:value-of select="Region/@Countries"/>
  </xsl:attribute></input>
</td></tr>
<tr>
<td>Business Process:<br/>
Process Qualifier:</td> 
<td><select size="1" name="Process" onfocus="window.status='Select applicable process or Other'">
<option value="Other">
   <xsl:if match=".[Process='Other']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Other</option>
<option value="Assembly">
   <xsl:if match=".[Process='Assembly']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Assembly</option>
<option value="Auction">
   <xsl:if match=".[Process='Auction']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Auction</option>
<option value="Change Order">
   <xsl:if match=".[Process='Change Order']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Change Order</option>
<option value="Declaring">
   <xsl:if match=".[Process='Declaring']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Declaring</option>
<option value="Delivery/General">
   <xsl:if match=".[Process='Delivery/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Delivery/General</option>
<option value="Delivery/Operational">
   <xsl:if match=".[Process='Delivery/Operational']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Delivery/Operational</option>
<option value="Delivery/Scheduling">
   <xsl:if match=".[Process='Delivery/Scheduling']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Delivery/Scheduling</option>
<option value="Forecasting-Planning">
   <xsl:if match=".[Process='Forecasting-Planning']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Forecasting, Planning</option>
<option value="General">
   <xsl:if match=".[Process='General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   General Application</option>
<option value="Invoicing">
   <xsl:if match=".[Process='Invoicing']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Invoicing</option>
<option value="Licensing/General">
   <xsl:if match=".[Process='Licensing/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Licensing/General</option>
<option value="Licensing/Import-Export">
   <xsl:if match=".[Process='Licensing/Import-Export']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Licensing/Import-Export</option>
<option value="Ordering">
   <xsl:if match=".[Process='Ordering']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Ordering</option>
<option value="Payment">
   <xsl:if match=".[Process='Payment']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Payment</option>
<option value="Product/Price Data">
   <xsl:if match=".[Process='Product/Price Data']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Product/Price Data</option>
<option value="Repackaging-Consolidation">
   <xsl:if match=".[Process='Repackaging-Consolidation']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Repackaging, Consolidation</option>
<option value="Reporting">
   <xsl:if match=".[Process='Reporting']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Reporting</option>
<option value="RFQ">
   <xsl:if match=".[Process='RFQ']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Request For Quote</option>
<option value="Statement">
   <xsl:if match=".[Process='Statement']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Statement</option>
<option value="Status Check">
   <xsl:if match=".[Process='Status Check']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Status Check/RFI</option>
<option value="Transport">
   <xsl:if match=".[Process='Transport']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transport</option>
<option value="Update Party Information">
   <xsl:if match=".[Process='Update Party Information']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Update Party Information</option>
<option value="Warehousing">
   <xsl:if match=".[Process='Warehousing']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Warehousing</option>
</select><br/>
<select size="1" name="ProcessQualifier" onfocus="window.status='Select qualifier that applies to process'">
<option value="None">
   <xsl:if match=".[Process/@Qualifier='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   No qualifier</option>
<option value="Report">
   <xsl:if match=".[Process/@Qualifier='Report']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Report/Publish</option>
<option value="Request">
   <xsl:if match=".[Process/@Qualifier='Request']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Request/Instruct</option>
<option value="Confirm">
   <xsl:if match=".[Process/@Qualifier='Confirm']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Request/Confirm</option>
<option value="Query">
   <xsl:if match=".[Process/@Qualifier='Query']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Query/Response</option>
<option value="Response">
   <xsl:if match=".[Process/@Qualifier='Response']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Response/Send</option>
<option value="Notification">
   <xsl:if match=".[Process/@Qualifier='Notification']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Notification</option>
<option value="Information">
   <xsl:if match=".[Process/@Qualifier='Information']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Information Distribution</option>
<option value="Basic">
   <xsl:if match=".[Process/@Qualifier='Basic']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Basic Business Transaction</option>
</select>
</td>
<td>Official&#32;Requirements<br/>
(Specify regulatory body) </td>
<td><p><textarea name="Legal" rows="2" cols="25" onfocus="window.status='Do not change this value'" value="testing">
<xsl:value-of select="Legal"/></textarea></p>
</td></tr>
</table>
<h4 align="left">Embedded Components</h4>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>Name of Component</td>
<td>Type</td>
<td>Definition File Name<sup>1</sup></td>
<td>Min..Max<sup>2</sup></td>
<td>Order<sup>3</sup></td>
<td>Explanation of Use</td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[0]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="E">
   <xsl:if match=".[Component[0]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
<option value="R">
   <xsl:if match=".[Component[0]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[0]/ComplexID!='']">
    <xsl:value-of select="Component[0]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[0]/SimpleID!='']">
    <xsl:value-of select="Component[0]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[0]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[0]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[0]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[0]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[0]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[0]/Description"/>
  </textarea></td>
</tr><tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[1]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="E">
   <xsl:if match=".[Component[1]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
<option value="R">
   <xsl:if match=".[Component[1]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[1]/ComplexID!='']">
    <xsl:value-of select="Component[1]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[1]/SimpleID!='']">
    <xsl:value-of select="Component[1]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[1]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[1]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[1]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[1]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[1]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[1]/Description"/>
  </textarea></td>
</tr><tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[2]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="E">
   <xsl:if match=".[Component[2]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
<option value="R">
   <xsl:if match=".[Component[2]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[2]/ComplexID!='']">
    <xsl:value-of select="Component[2]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[2]/SimpleID!='']">
    <xsl:value-of select="Component[2]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[2]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[2]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[2]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[2]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[2]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[2]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[3]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[3]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[3]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[3]/ComplexID!='']">
    <xsl:value-of select="Component[3]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[3]/SimpleID!='']">
   <xsl:value-of select="Component[3]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[3]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[3]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[3]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[3]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[3]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[3]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[4]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[4]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[4]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[4]/ComplexID!='']">
    <xsl:value-of select="Component[4]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[4]/SimpleID!='']">
    <xsl:value-of select="Component[4]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[4]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[4]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[4]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[4]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[4]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[4]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[5]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[5]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[5]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[5]/ComplexID!='']">
    <xsl:value-of select="Component[5]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[5]/SimpleID!='']">
    <xsl:value-of select="Component[5]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[5]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[5]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[5]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[5]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[5]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[5]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[6]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[6]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[6]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[6]/ComplexID!='']">
    <xsl:value-of select="Component[6]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[6]/SimpleID!='']">
    <xsl:value-of select="Component[6]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[6]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[6]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[6]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[6]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[6]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[6]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[7]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[7]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[7]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[7]/ComplexID!='']">
    <xsl:value-of select="Component[7]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[7]/SimpleID!='']">
    <xsl:value-of select="Component[7]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[7]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[7]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[7]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[7]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[7]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[7]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[8]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[8]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[8]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[8]/ComplexID!='']">
    <xsl:value-of select="Component[8]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[8]/SimpleID!='']">
    <xsl:value-of select="Component[8]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[8]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[8]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[8]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[8]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[8]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[8]/Description"/>
  </textarea></td>
</tr><tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[9]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[9]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[9]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[9]/ComplexID!='']">
    <xsl:value-of select="Component[9]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[9]/SimpleID!='']">
    <xsl:value-of select="Component[9]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[9]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[9]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[9]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[9]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[9]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[9]/Description"/>
  </textarea></td>
</tr><tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[10]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[10]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[10]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[10]/ComplexID!='']">
    <xsl:value-of select="Component[10]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[10]/SimpleID!='']">
    <xsl:value-of select="Component[10]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[10]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[10]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[10]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[10]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[10]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[10]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[11]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[11]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[11]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[11]/ComplexID!='']">
    <xsl:value-of select="Component[11]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[11]/SimpleID!='']">
    <xsl:value-of select="Component[11]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[11]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[11]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[11]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[11]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[11]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[11]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[12]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[12]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[12]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[12]/ComplexID!='']">
    <xsl:value-of select="Component[12]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[12]/SimpleID!='']">
    <xsl:value-of select="Component[12]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[12]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[12]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[12]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[12]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[12]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[12]/Description"/>
  </textarea></td>
</tr>
<tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[13]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[13]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[13]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[13]/ComplexID!='']">
    <xsl:value-of select="Component[13]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[13]/SimpleID!='']">
    <xsl:value-of select="Component[13]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[13]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[13]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[13]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[13]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[13]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[13]/Description"/>
  </textarea></td>
</tr><tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[14]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[14]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[14]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[14]/ComplexID!='']">
    <xsl:value-of select="Component[14]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[14]/SimpleID!='']">
    <xsl:value-of select="Component[14]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[14]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[14]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[14]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[14]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[14]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[14]/Description"/>
  </textarea></td>
</tr><tr>
<td height="25"><input type="text" name="PropertyName" size="20" onfocus="window.status='Assign name by which component will be reffered to within documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[15]/Name"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="FieldType" onfocus="window.status='Indicate whether embedded entity, or a data containing element with a specific representation'">
<option value="R">
   <xsl:if match=".[Component[15]/SimpleID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Simple</option>
<option value="E">
   <xsl:if match=".[Component[15]/ComplexID!='']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Complex</option>
</select></td>
<td height="25"><input type="text" name="ID" size="15" onfocus="window.status='Assign Unique ID that will be used as filename for entity definition'">
  <xsl:attribute name="value">
   <xsl:if match=".[Component[15]/ComplexID!='']">
    <xsl:value-of select="Component[15]/ComplexID"/>
   </xsl:if>   
   <xsl:if match=".[Component[15]/SimpleID!='']">
    <xsl:value-of select="Component[15]/SimpleID"/>
   </xsl:if>
  </xsl:attribute></input></td>
<td height="25"><input type="text" name="Cardinality" size="5" onfocus="window.status='Leave blank if only one, or enter 0..1, 0..*, 1..* or m..n'">
  <xsl:attribute name="value">
    <xsl:value-of select="Component[15]/Cardinality"/>
  </xsl:attribute></input></td>
<td height="25"><select size="1" name="Order" onfocus="window.status='Indicate whether order of items is important (Sequence) or only one item of a set must be used (Choice) or if all items must be present'">
   <option value="None">
   <xsl:if match=".[Component[15]/@Type='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Undefined</option>
   <option value="Seq">
   <xsl:if match=".[Component[15]/@Type='Seq']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Sequence</option> 
   <option value="Choice">
   <xsl:if match=".[Component[15]/@Type='Choice']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Choice</option>
   <option value="All">
   <xsl:if match=".[Component[15]/@Type='All']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   All</option>
</select></td>
<td height="25"><textarea rows="1" name="PropertyDescription" cols="30" onfocus="window.status='Briefly describe the purpose of the component'">
    <xsl:value-of select="Component[15]/Description"/>
  </textarea></td>
</tr>
</table>
<p><sup>1</sup> File name assigned to formal definition of simple or complex core component defintion<br/>
<sup>2</sup> How many times it can occur expressed as either 0..1 (optional), 0..* (optional and repeatable), 1..* (required and repeatable) or min..max<br/>
<sup>3</sup> Order in which embedded components may be used. Only applied when two or more adjacent entries have the same option selected. 
If the order of embedded components is not Undefined (i.e. no special constraints are to be defined) users can require a fixed sequence, a choice of one of a set of entries or that all entries in a group be present but in any order.</p>
<p align="center"><input type="submit" value="Update this Complex Component Submission" name="entity"></input></p>
<p align="center"><input type="reset" value="Define Another Complex Component"  onclick="window.open('../complex.htm')"></input></p>
<p align="center"><input type="button" value="Define A Simple Component" onclick="window.open('../simple.htm')"></input></p>
</form>
</body>
</xsl:template>



<xsl:template match="CodeSet">
<head>
<title>ebXML Simple Component Submission</title>
</head>
<body bgcolor="silver" text="blue">
<h1 align="center">ebXML Simple Component Submission</h1>
<form id="CodeSet" method="POST"
   onsubmit="var XMLdec = '&#60;?xml version=&#34;1.0&#34;?&#62;\n' ;
             var stylesheet = '&#60;?xml-stylesheet href=&#34;c:/My Documents/ebxml/DiscoveryCC.xsl&#34; type=&#34;text/xsl&#34;?&#62;\n';
             var OutputDTD = '&#60;!DOCTYPE CoreComponents SYSTEM &#34;c:/My Documents/ebxml/DiscoveryCC.dtd&#34;&#62;\n';
             var filepath = document.all.Directory.value ;
             var filename = filepath + document.all.Filename.value + '.xml';
             var text = XMLdec + stylesheet + OutputDTD ;
             text += '&#60;CoreComponents&#62;\n'; 
             text += '&#60;CodeSet&#62;\n';
             text += '&#60;Date&#62;' + document.all.Date.value +  '&#60;/Date&#62;\n'; 
             text += '&#60;Submitter&#62;' + document.all.Submitter.value +  '&#60;/Submitter&#62;\n';
             text += '&#60;Contact&#62;' + document.all.Contact.value + '&#60;/Contact&#62;\n';
             text += '&#60;ControlAgency&#62;' + document.all.Agency.value +  '&#60;/ControlAgency&#62;\n';
             text += '&#60;AgencyName&#62;' + document.all.AgencyID.value +  '&#60;/AgencyName&#62;\n';
             text += '&#60;Identifier Directory=&#34;' + document.all.Directory.value + '&#34;&#62;' + document.all.Filename.value +  '&#60;/Identifier&#62;\n';
             text += '&#60;Concept&#62;\n&#60;Name&#62;' + document.all.Name.value +  '&#60;/Name&#62;\n';
             text += '&#60;Description&#62;' + document.all.ConceptDescription.value +  '&#60;/Description&#62;\n&#60;/Concept&#62;\n';
             text += '&#60;Sector';
              if (document.all.OtherName.value != '')
                 {text += ' OtherName=&#34;' + document.all.OtherName.value + '&#34;'}
             text += '&#62;' + document.all.Sector.value +  '&#60;/Sector&#62;\n';
             text += '&#60;Process Qualifier=&#34;' + document.all.ProcessQualifier.value + '&#34;&#62;' + document.all.Process.value +  '&#60;/Process&#62;\n';
             text += '&#60;Region';
              if (document.all.Countries.value != '')
                 {text += ' Countries=&#34;' + document.all.Countries.value + '&#34;'}
             text += '&#62;' + document.all.Region.value +  '&#60;/Region&#62;\n';
             text += '&#60;Legal&#62;' + document.all.Legal.value +  '&#60;/Legal&#62;\n';
             text += '&#60;Type&#62;' + document.all.Type.value + '&#60;/Type&#62;\n';
              if (document.all.listURL.getAttribute('value') != '')
                 {text += '&#60;URL&#62;' + document.all.listURL.value + '&#60;/URL&#62;\n';}
             for (i=0; i &#60; document.all.Value.length; i++)     
                   {if (document.all.Value[i].getAttribute('value') != '')
                       {text += '&#60;Value&#62;' + document.all.Value[i].getAttribute('value') + '&#60;/Value&#62;\n';       
                        text += '&#60;Description xml:lang=&#34;' + document.all.Language[i].getAttribute('value')  + '&#34;&#62;' + document.all.Description[i].getAttribute('value') + '&#60;/Description&#62;\n';       
                       }
                   }
             text += '&#60;/CodeSet&#62;\n'; 
             text += '&#60;/CoreComponents&#62;\n';
             var NewFile = new ActiveXObject('Scripting.FileSystemObject');
             var Response = NewFile.CreateTextFile(filename, true);
             Response.Write(text);
             Response.Close();
             window.open(filename);
            "   >
<p align="right">Date of Submission:&#x20; <input type="text" name="Date" size="20" onfocus="window.status='Enter Date as CCYY-MM-DD'">
  <xsl:attribute name="value">
    <xsl:value-of select="Date"/>
  </xsl:attribute></input><br/>
Submitting Organization: <input type="text" name="Submitter" size="20" onfocus="window.status='Enter name of submitting organization'">
  <xsl:attribute name="value">
    <xsl:value-of select="Submitter"/>
  </xsl:attribute></input><br/>
Contact E-mail Address: <input type="text" name="Contact" size="20" onfocus="window.status='Enter e-mail address of submitter'">
  <xsl:attribute name="value">
    <xsl:value-of select="Contact"/>
  </xsl:attribute></input></p>
<p>Component Name: <input type="text" name="Name" size="64" onfocus="window.status='Enter name used to identify code set'">
  <xsl:attribute name="value">
    <xsl:value-of select="Concept/Name"/>
  </xsl:attribute></input><br/>
Component Description:<br/>
  <textarea rows="3" name="ConceptDescription" cols="71" onfocus="window.status='Describe purpose of code set as concisely as possible'">
    <xsl:value-of select="Concept/Description"/>
  </textarea></p>
<p>Definition File Name: <input type="text" name="Filename" size="20" onfocus="window.status='Assign Unique ID which can be used as filename of code set'">
  <xsl:attribute name="value">
    <xsl:value-of select="Identifier"/>
  </xsl:attribute></input>&#9;
Directory File Stored In: <input type="text" name="Directory" size="30" onfocus="window.status='Enter path to directory to be used to store patterns on local client or network'">
   <xsl:if match=".[Identifier[@Directory]]">
    <xsl:attribute name="value">
    <xsl:value-of select="Identifier/@Directory"/>
    </xsl:attribute></xsl:if>
   <xsl:if match=".[not(Identifier[@Directory])]">
    <xsl:attribute name="value">c:/My Documents/ebXML/simple/</xsl:attribute>
   </xsl:if></input></p>
<p>Controlling Agency: <input type="text" name="Agency" size="30" onfocus="window.status='Enter name of agency responsible for maintaining code list'">
  <xsl:attribute name="value">
    <xsl:value-of select="ControlAgency"/>
  </xsl:attribute></input>
Agency Assigned Name: <input type="text" name="AgencyID" size="15" onfocus="window.status='Enter name of assigned to code set by agency'">
  <xsl:attribute name="value">
    <xsl:value-of select="AgencyName"/>
  </xsl:attribute></input></p>
<h4 align="left">Contexts component is used in</h4>
<table border="0" cellpadding="5" cellspacing="0" width="100%">
<tr>
<td>Industry Sector:<br/>
Other&#32;Sector&#32;Name:</td>
<td><select size="1" name="Sector" onfocus="window.status='Select industry grouping who this core component has been designed for'">
<option value="Other">
   <xsl:if match=".[Sector='Other']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Other</option>
<option value="Construction">
   <xsl:if match=".[Sector='Construction']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Construction</option>
<option value="Customs">
   <xsl:if match=".[Sector='Customs']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Customs</option>
<option value="Finance/Banking">
   <xsl:if match=".[Sector='Finance/Banking']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Finance/Banking</option>
<option value="Finance/Securities">
   <xsl:if match=".[Sector='Finance/Securities']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Finance/Securities</option>
<option value="Finance/General">
   <xsl:if match=".[Sector='Finance/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Finance/General</option>
<option value="Governmental">
   <xsl:if match=".[Sector='Governmental']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Governmental</option>
<option value="Healthcare">
   <xsl:if match=".[Sector='Healthcare']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Healthcare</option>
<option value="Cross-Industry">
   <xsl:if match=".[Sector='Cross-Industry']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Horizontal (Cross Industry)</option>
<option value="Insurance">
   <xsl:if match=".[Sector='Insurance']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Insurance</option>
<option value="Logistics">
   <xsl:if match=".[Sector='Logistics']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Logistics</option>
<option value="Manufacturing/Aerospace">
   <xsl:if match=".[Sector='Manufacturing/Aerospace']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/Aerospace</option>
<option value="Manufacturing/Automotive">
   <xsl:if match=".[Sector='Manufacturing/Automotive']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/Automotive</option>
<option value="Manufacturing/Construction">
   <xsl:if match=".[Sector='Manufacturing/Construction']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/Construction</option>
<option value="Manufacturing/General">
   <xsl:if match=".[Sector='Manufacturing/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Manufacturing/General</option>
<option value="Retail/FMCG">
   <xsl:if match=".[Sector='Retail/FMCG']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Retail/FMCG</option>
<option value="Retail/General">
   <xsl:if match=".[Sector='Retail/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Retail/General</option>
<option value="Statistics/CDW">
   <xsl:if match=".[Sector='Statistics/CDW']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Statistics/CDW</option>
<option value="Statitics/General">
   <xsl:if match=".[Sector='Statitics/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Statistics/General</option>
<option value="Transportation/Air">
   <xsl:if match=".[Sector='Transportation/Air']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Air</option>
<option value="Transportation/Inland-Water">
   <xsl:if match=".[Sector='Transportation/Inland-Water']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Inland Water</option>
<option value="Transporation/Maritime">
   <xsl:if match=".[Sector='Transporation/Maritime']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Maritime</option>
<option value="Transportation/Rail">
   <xsl:if match=".[Sector='Transportation/Rail']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Rail</option>
<option value="Transporation/Road">
   <xsl:if match=".[Sector='Transporation/Road']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/Road</option>
<option value="Transportation/General">
   <xsl:if match=".[Sector='Transportation/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transportation/General</option>
<option value="Travel-Tourism-Leisure">
   <xsl:if match=".[Sector='Travel-Tourism-Leisure']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Travel, Tourism &amp; Leisure</option>
<option value="Utilities/General">
   <xsl:if match=".[Sector='Utilities/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Utilities/General</option>
<option value="Utilities/Energy">
   <xsl:if match=".[Sector='Utilities/Energy']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Utilities/Energy</option>
<option value="Utilities/Telecom">
   <xsl:if match=".[Sector='Utilities/Telecom']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Utilities/Telecom</option>
</select><br/>
<input type="text" name="OtherName" size="25" onfocus="window.status='Do not change this value'">
  <xsl:attribute name="value">
    <xsl:value-of select="Sector/@OtherName"/>
  </xsl:attribute></input>
</td>
<td>Region:<br/>
Country Codes:</td>
<td><select size="1" name="Region" onfocus="window.status='Select applicable region if not listing specific countries'">
<option value="Global">
   <xsl:if match=".[Region='Global']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Global</option>
<option value="Asia">
   <xsl:if match=".[Region='Asia']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Asia</option>
<option value="Europe">
   <xsl:if match=".[Region='Europe']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Europe</option>
<option value="European Union">
   <xsl:if match=".[Region='European Union']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  European Union</option>
<option value="North America">
   <xsl:if match=".[Region='North America']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  North America</option>
<option value="South America">
   <xsl:if match=".[Region='South America']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  South America</option>
<option value="Cross-Border">
   <xsl:if match=".[Region='Cross-Border']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Cross Border (Specify countries)</option>
<option value="National">
   <xsl:if match=".[Region='National']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  National (specify country)</option>
</select><br/>
<input type="text" name="Countries" size="25" onfocus="window.status='Do not change this value'">
  <xsl:attribute name="value">
    <xsl:value-of select="Region/@Countries"/>
  </xsl:attribute></input>
</td></tr>
<tr>
<td>Business Process:<br/>
Process Qualifier:</td> 
<td><select size="1" name="Process" onfocus="window.status='Select applicable process or Other'">
<option value="Other">
   <xsl:if match=".[Process='Other']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Other</option>
<option value="Assembly">
   <xsl:if match=".[Process='Assembly']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Assembly</option>
<option value="Auction">
   <xsl:if match=".[Process='Auction']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Auction</option>
<option value="Change Order">
   <xsl:if match=".[Process='Change Order']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Change Order</option>
<option value="Declaring">
   <xsl:if match=".[Process='Declaring']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Declaring</option>
<option value="Delivery/General">
   <xsl:if match=".[Process='Delivery/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Delivery/General</option>
<option value="Delivery/Operational">
   <xsl:if match=".[Process='Delivery/Operational']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Delivery/Operational</option>
<option value="Delivery/Scheduling">
   <xsl:if match=".[Process='Delivery/Scheduling']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Delivery/Scheduling</option>
<option value="Forecasting-Planning">
   <xsl:if match=".[Process='Forecasting-Planning']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Forecasting, Planning</option>
<option value="General">
   <xsl:if match=".[Process='General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   General Application</option>
<option value="Invoicing">
   <xsl:if match=".[Process='Invoicing']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Invoicing</option>
<option value="Licensing/General">
   <xsl:if match=".[Process='Licensing/General']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Licensing/General</option>
<option value="Licensing/Import-Export">
   <xsl:if match=".[Process='Licensing/Import-Export']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Licensing/Import-Export</option>
<option value="Ordering">
   <xsl:if match=".[Process='Ordering']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Ordering</option>
<option value="Payment">
   <xsl:if match=".[Process='Payment']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Payment</option>
<option value="Product/Price Data">
   <xsl:if match=".[Process='Product/Price Data']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Product/Price Data</option>
<option value="Repackaging-Consolidation">
   <xsl:if match=".[Process='Repackaging-Consolidation']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Repackaging, Consolidation</option>
<option value="Reporting">
   <xsl:if match=".[Process='Reporting']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Reporting</option>
<option value="RFQ">
   <xsl:if match=".[Process='RFQ']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Request For Quote</option>
<option value="Statement">
   <xsl:if match=".[Process='Statement']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Statement</option>
<option value="Status Check">
   <xsl:if match=".[Process='Status Check']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Status Check/RFI</option>
<option value="Transport">
   <xsl:if match=".[Process='Transport']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Transport</option>
<option value="Update Party Information">
   <xsl:if match=".[Process='Update Party Information']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Update Party Information</option>
<option value="Warehousing">
   <xsl:if match=".[Process='Warehousing']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Warehousing</option>
</select><br/>
<select size="1" name="ProcessQualifier" onfocus="window.status='Select qualifier that applies to process'">
<option value="None">
   <xsl:if match=".[Process/@Qualifier='None']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   No qualifier</option>
<option value="Report">
   <xsl:if match=".[Process/@Qualifier='Report']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Report/Publish</option>
<option value="Request">
   <xsl:if match=".[Process/@Qualifier='Request']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Request/Instruct</option>
<option value="Confirm">
   <xsl:if match=".[Process/@Qualifier='Confirm']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Request/Confirm</option>
<option value="Query">
   <xsl:if match=".[Process/@Qualifier='Query']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Query/Response</option>
<option value="Response">
   <xsl:if match=".[Process/@Qualifier='Response']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Response/Send</option>
<option value="Notification">
   <xsl:if match=".[Process/@Qualifier='Notification']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Notification</option>
<option value="Information">
   <xsl:if match=".[Process/@Qualifier='Information']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Information Distribution</option>
<option value="Basic">
   <xsl:if match=".[Process/@Qualifier='Basic']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
   Basic Business Transaction</option>
</select>
</td>
<td>Official&#32;Requirements<br/>
(Specify regulatory body) </td>
<td><p><textarea name="Legal" rows="2" cols="25" onfocus="window.status='Do not change this value'" value="testing">
<xsl:value-of select="Legal"/></textarea></p>
</td></tr>
</table>
<h4>Data Representation Type</h4>
<p><select size="1" name="Type" onfocus="window.status='Select type of data to be entered in field from list provided'">
<option value="String">
   <xsl:if match=".[Type='String']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Uncontrolled Text String</option>
<option value="CodeList">
   <xsl:if match=".[Type='CodeList']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Code List (permitted entries listed below)</option>
<option value="ExternalCodeList">
   <xsl:if match=".[Type='ExternalCodeList']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Code List (externally defined)</option>
<option value="LocalCodeList">
   <xsl:if match=".[Type='LocalCodeList']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Code List (locally maintained)</option>
<option value="Amount">
   <xsl:if match=".[Type='Amount']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Amount</option>
<option value="Boolean">
   <xsl:if match=".[Type='Boolean']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Boolean</option>
<option value="Date">
   <xsl:if match=".[Type='Date']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Date</option>
<option value="Time">
   <xsl:if match=".[Type='Time']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Time</option>
<option value="DateAndTime">
   <xsl:if match=".[Type='DateAndTime']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  DateAndTime</option>
<option value="Measure">
   <xsl:if match=".[Type='Measure']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Measure</option>
<option value="Quantity">
   <xsl:if match=".[Type='Quantity']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Quantity</option>
<option value="Number">
   <xsl:if match=".[Type='Number']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Number</option>
<option value="Rate">
   <xsl:if match=".[Type='Rate']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Rate</option>
<option value="Identifier">
   <xsl:if match=".[Type='Identifier']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Identifier</option>   
<option value="Name">
   <xsl:if match=".[Type='Name']"><xsl:attribute name="selected">selected</xsl:attribute></xsl:if> 
  Name</option>
</select>
&#9;URL of external code list: <input type="text" name="listURL" size="35" onfocus="window.status='URL at which details of external code list can be found'">
  <xsl:attribute name="value">
    <xsl:value-of select="URL"/>
  </xsl:attribute></input></p>
<h4 align="left">List of Permitted Component Values</h4>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
<td>Permitted Value</td>
<td>Description of Meaning of Value</td>
<td>Language</td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[0]"/>
  </xsl:attribute></input></td>

<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[0]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[0]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[0]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[1]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[1]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[1]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[1]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[2]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[2]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[2]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[2]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[3]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[3]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[3]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[3]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[4]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[4]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[4]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[4]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[5]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[5]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[5]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[5]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[6]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[6]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[6]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[6]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[7]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[7]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[7]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[7]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[8]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[8]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[8]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[8]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[9]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[9]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[9]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[9]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[10]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[10]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[10]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[10]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[11]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[11]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[11]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[11]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
<tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[12]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[12]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[12]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[12]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[13]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[13]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[13]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[13]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[14]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[14]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[14]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[14]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[15]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[15]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[15]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[15]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[16]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[16]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[16]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[16]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[17]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[17]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[17]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[17]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[18]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[18]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[18]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[18]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[19]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[19]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[19]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[19]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[20]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[20]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[20]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[20]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[21]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[21]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[21]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[21]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[22]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[22]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[22]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[22]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[23]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[23]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[23]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[23]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[24]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[24]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[24]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[24]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[25]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[25]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[25]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[25]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[26]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[26]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[26]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[26]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[27]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[27]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[27]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[27]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[28]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[28]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[28]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[28]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr><tr>
<td><input type="text" name="Value" size="15" onfocus="window.status='Enter a permitted value as used in documents'">
  <xsl:attribute name="value">
    <xsl:value-of select="Value[29]"/>
  </xsl:attribute></input></td>
<td><textarea rows="1" name="Description" cols="60" onfocus="window.status='Describe meaning of value here'">
  <xsl:value-of select="Description[29]"/></textarea></td>
<td><input type="text" name="Language" size="3" onfocus="window.status='If definition is not in English enter ISO 639-1 language code for language used'">
  <xsl:attribute name="value">
    <xsl:value-of select="Description[29]/@xml:lang"/>
    <xsl:if test=".[$not$ Description[29]/@xml:lang]">EN</xsl:if>
  </xsl:attribute></input></td>
</tr>
</table>
<p align="center"><input type="submit" value="Update this Simple Component Submission" name="Submit"/></p>
<p align="center"><input type="reset" value="Define Another Simple Component" onclick="window.open('../simple.htm')"/></p>
<p align="center"><input type="button" value="Define A Complex Component" onclick="window.open('../complex.htm')"/></p>
</form>
</body>
</xsl:template>



<xsl:template match="Format">
 <xsl:apply-templates/>
</xsl:template>

<xsl:template match="xsd:simpleType">&lt;xsd:simpleType name=&#34;<xsl:value-of select="@name"/>&#34; base=&#34;<xsl:value-of select="@base"/>&#34; xmlns:xsd=&#34;http://www.w3.org/1999/XMLSchema&#34;&gt;
<xsl:apply-templates/>&lt;/xsd:simpleType&gt;
</xsl:template>

<xsl:template match="xsd:pattern[0]"> &lt;xsd:pattern value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:minInclusive[0]"> &lt;xsd:minInclusive value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:minExclusive[0]"> &lt;xsd:minExclusive value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/>&#34;</xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:maxInclusive[0]"> &lt;xsd:maxInclusive value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:maxExclusive[0]"> &lt;xsd:maxExclusive value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/>&#34;</xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:minLength[0]"> &lt;xsd:minLength value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:maxLength[0]"> &lt;xsd:maxLength value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/>&#34;</xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:length[0]"> &lt;xsd:length value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:precision[0]"> &lt;xsd:precision value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/>&#34;</xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:scale[0]"> &lt;xsd:scale value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:period[0]"> &lt;xsd:period value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/>&#34;</xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:duration[0]"> &lt;xsd:duration value=&#34;<xsl:value-of select="@value"/>&#34;<xsl:if test=".[@id!='']"> id=&#34;<xsl:value-of select="@id"/></xsl:if>/&gt;
</xsl:template>

<xsl:template match="xsd:documentation"> &lt;xsd:documentation source=&#34;<xsl:value-of select="@source"/>&#34; xml:lang=&#34;<xsl:value-of select="@xml:lang"/>&#34;/&gt;
</xsl:template>

<xsl:template match="xsd:annotation"> &lt;xsd:annotation&gt;
   <xsl:apply-templates/>
  &lt;/xsd:annotation&gt;
</xsl:template>

<xsl:template match="Definition"><xsl:if test=".[textnode()!='']">&lt;!--<xsl:apply-templates/>--&gt;</xsl:if>
</xsl:template>

<xsl:template match="comment()"><xsl:copy/>
</xsl:template>


</xsl:stylesheet>
